<left>

Contents->Utilities

1. HEdit
2. Notify
3. Open
4. Properties
5. Purge
6. Recover
7. Recycle
8. RLS
9. SysInfo
10. TEdit

Endeavour's utility programs are located in:

- `/usr/lib/endeavour2/bin/`

This location is typically not a standard location for installed programs so in order to use these programs globally you need to either create links to these programs from one of the standard global program directories (such as `/usr/bin`) or add `/usr/lib/endeavour2/bin/` to the `PATH` environment.

## HEdit

- `/usr/lib/endeavour2/bin/hedit`

HEdit is a hex editor with hexidecimal and ACSII editing modes.

This program is intended to be Endeavour Mark II's default binary file viewer/editor.

Features:

- Hexidecimal and ASCII editing modes
- Copy & Paste
- Insert and delete bytes
- Grouped byte value calculation
- ASCII chart
- Drag & Drop support

Back to the top

## Notify

- `/usr/lib/endeavour2/bin/notify`

Command line program for notifying Endeavour about objects being added, modified, renamed, or removed.

This is useful in scripts when a new object is created or an existing object is modified or deleted and you want Endeavour to update it's lists that display that object.

    Usage: notify --added <new_object> [options]
           notify --modified <object> [options]
           notify --renamed <old_object> <new_object> [options]
           notify --removed <object> [options]

        Where [options] can be any of the following:

            --added                 Send an object added event.
            -a                      Same as --added.
            --modified              Send an object modified event (for
                                    renamed, see --renamed).
            -m                      Same as --modified.
            --renamed               Send an object modified event for
                                    renamed objects (must have two object
                                    paths secified, one with the old name
                                    and one with the new name).
            -n                      Same as --renamed.
            --removed               Send an object removed event.
            -r                      Same as --removed.

            --help                  Prints (this) help screen and exits.
            --version               Prints version information and exits.

        Return values:

            0       Success.
            1       General error.
            2       Invalid value.
            3       Systems error or memory allocation error.
            4       User aborted.

Back to the top

## Open

- `/usr/lib/endeavour2/bin/open`

Command line program for opening objects by associating them with Endeavour's MIME Types list and executing the command that was defined by that MIME Type.

    Usage: open <path(s)...> [options]

        Where <path(s)...> specifies the paths to the object(s) that are
        to be opened.

        Where [options] can be any of the following:

            --edit                  Open using the edit command (if
                                    defined on the MIME Type)
            -e                      Same as --edit.
            --command-name <name>   Open using the <name> command (if
                                    defined on the MIME Type)
            -c                      Same as --command-name.

            --help                  Prints (this) help screen and exits.
            --version               Prints version information and exits.

        Return values:

            0       Success.
            1       General error.
            2       Invalid value or no such object.
            3       Systems error or memory allocation error.
            4       User aborted.
            7       No associated MIME Type was found.

Back to the top

## Properties

- `/usr/lib/endeavour2/bin/properties`

Displays the object's properties in a properties dialog.

This is a command line program that instructs Endeavour to map the properties dialog and display a specified object's properties.

    Usage: properties <path> [page_name] [options]

    Where <path> specifies the path to the object.

    Where [page_name] specifies the initial page to map the properties
    dialog at, valid values are; "General", "Details", "Link",
    "Device", or "Device Node".

    Where [options] can be any of the following:

            --help                  Prints (this) help screen and exits.
            --version               Prints version information and exits.

        Return values:

            0       Success.
            1       General error.
            2       Invalid value.
            3       Systems error or memory allocation error.
            4       User aborted.

Back to the top

## Purge

- `/usr/lib/endeavour2/bin/purge`

Command line program for purging recycling objects from the Recycle Bin.

    Usage: purge <index(ies)...> [options]
           purge all [options]

        Where <index(ies)...> specifies the index(ies) of one or more
        recycled object(s) to recover. You may need to enclose each
        index in double quotes or prefix it with a backslash in order
        for the shell to process it correctly (e.g. "#12345" or \#12345).

        You may also specify "all" to purge all the recycled objects.

        Where [options] can be any of the following:

            --interactive           Prompt before recycling an object.
            -i                      Same as --interactive.
            --quiet                 Do not print any messages to stdout.
            -q                      Same as --quiet.
            --help                  Prints (this) help screen and exits.
            --version               Prints version information and exits.

        Return values:

            0       Success.
            1       General error.
            2       Invalid value.
            3       Systems error or memory allocation error.
            4       User aborted.

        To list recycled objects, use "rls".
        To recover recycled objects, use "recover".
        To recycle objects, use "recycle".

See also; Recover, Recycle, RLS

Back to the top

## Recover

- `/usr/lib/endeavour2/bin/recover`

Command line program for recovering recycled objects from the Recycle Bin.

    Usage: recover <index(ies)...> [alternate_recovery_path] [options]

        Where <index(ies)...> specifies the index(ies) of one or more
        recycled object(s) to recover. You may need to enclose each
        index in double quotes or prefix it with a backslash in order
        for the shell to process it correctly (e.g. "#12345" or \#12345).

        The [alternate_recovery_path] specifies the path to the
        directory to be used as the alternate recovery location. If this
        is not specified then each recycled object's original location
        will be used as the recovery location.

        Where [options] can be any of the following:

            --interactive           Prompt before recovering an object.
            -i                      Same as --interactive.
            --quiet                 Do not print any messages to stdout.
            -q                      Same as --quiet.
            --help                  Prints (this) help screen and exits.
            --version               Prints version information and exits.

        Return values:

            0       Success.
            1       General error.
            2       Invalid value.
            3       Systems error or memory allocation error.
            4       User aborted.

        To list recycled objects, use "rls".
        To recycle objects, use "recycle".
        To purge recycled objects, use "purge".

See also; Purge, Recycle, RLS

Back to the top

## Recycle

- `/usr/lib/endeavour2/bin/recycle`

Command line program for recycling objects. The recycled objects are then placed into the Recycle Bin.

    Usage: recycle <object(s)...> [options]

        Where <object(s)...> specifies one or more object(s) to recycle.

        Where [options] can be any of the following:

            --interactive           Prompt before recycling an object.
            -i                      Same as --interactive.
            --quiet                 Do not print any messages to stdout.
            -q                      Same as --quiet.
            --help                  Prints (this) help screen and exits.
            --version               Prints version information and exits.

        Return values:

            0       Success.
            1       General error.
            2       Invalid value.
            3       Systems error or memory allocation error.
            4       User aborted.

        To list recycled objects, use "rls".
        To recover recycled objects, use "recover".
        To purge recycled objects, use "purge".

See also; Recover, RLS, Purge

Back to the top

## RLS

- `/usr/lib/endeavour2/bin/rls`

Command line program for listing the contents of the Recycle Bin. This program functions similarly to the `ls` program.

    Usage: rls [object(s)...] [options]

        Where [object(s)...] specifies one or more recycled objects to
        list.

        Note that if you specify wildcards (* or ?) then you need to put
        them between double quotes (") such as "*" or else the shell
        will expand them as regular object names instead of recycled
        object names.

        Where [options] can be any of the following:

            -1                      Print single column list format.
            -C                      Print table format ordered by column
                                    (default).
            -x                      Print table format ordered by row.
            -m                      Print a single line comma-separated
                                    object names.
            -l                      Print long list format (similar to
                                    ls's long list format).

            -U                      Sort by order of deletion (same as
                                    unsorted).
            -i                      Sort by index.
            -S                      Sort by size.
            -u                      Sort by last accessed time.
            -t                      Sort by last modified time.
            -c                      Sort by last changed time.
            --reverse               Sort reversed.
            -r                      Same as --reverse.

            --color <when>          Use color to distinguish object types,
                                    valid values are; never, always, auto.
                                    Color codes are defined in the
                                    environment variables RLS_COLORS
                                    (checked first) or LS_COLORS.
            --clean-names           Print names without indices.
            -N                      Same as --clean-names.
            --original-location     Print the full path to the original
                                    object.
            -O                      Same as --original-location.
            --full-time             Print full date and time when using
                                    the -l long list format.
            --numeric-uid-gid       Print numeric UID and GID values
                                    instead of names.
            -n                      Same as --numeric-uid-gid.
            --human-readable        Print sizes in human readable format
                                    using 1024 size blocks (i.e. 1K 234M
                                    2G).
            -h                      Same as --human-readable.
            --si                    Print sizes in human readable format
                                    using 1000 size blocks (i.e. 1K 234M
                                    2G).
            -H                      Same as --si.

            --no-group              Do not print group information.
            -G                      Same as --no-group.

            --width <i>             Specifies the width of the terminal.
            -w                      Same as --width.

            --help                  Prints (this) help screen and exits.
            --version               Prints version information and exits.

        Return values:

            0       Success.
            1       General error.
            2       Invalid value.
            3       Systems error or memory allocation error.
            4       User aborted.

        To purge recycled objects, use "purge".
        To recover recycled objects, use "recover".
        To recycle objects, use "recycle".

See also; Purge, Recover, Recycle

Back to the top

## SysInfo

- `/usr/lib/endeavour2/bin/sysinfo`

Displays CPU and other system information.

Features:

- CPU Load & Load Average
- Memory Usage
- APM Power Reserve

Back to the top

## TEdit

- `/usr/lib/endeavour2/bin/tedit`

TEdit is a simple text editor with basic text editing capabilities.

This program is intended to be Endeavour Mark II's default text file viewer/editor.

Features:

- Cut/Copy/Paste
- Search & Replace
- Printing
- Drag & Drop support

Back to the top

Endeavour Mark II is Copyright © 1997-2006 WolfPack Entertainment

</left>